Loading...
Searching...
No Matches
PersistenceMatrixColumn.h File Reference

Contains the concept for the matrix columns. More...

Go to the source code of this file.

## Classes

class | Gudhi::persistence_matrix::PersistenceMatrixColumn
| Concept of the column classes used by the Matrix class. The classes the columns inherit from are either real or dummy classes, see Row_access_option, Column_dimension_option, Chain_column_option. If used with column compression, the column type has to have its std::hash method. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Typedefs

using | Gudhi::persistence_matrix::Row_access_option = Row_access
| If PersistenceMatrixOptions::has_row_access is true, then Row_access. Otherwise Dummy_row_access. Can eventually be removed if the structure of the column does not allow row access (as for Heap_column), but then it needs to be notified in the documentation of Column_types and as static_assert in Matrix::_assert_options.
using | Gudhi::persistence_matrix::Column_dimension_option = Column_dimension_holder
| If PersistenceMatrixOptions::has_column_pairings or PersistenceMatrixOptions::has_vine_update or PersistenceMatrixOptions::can_retrieve_representative_cycles is true, then Column_dimension_holder. Otherwise Dummy_dimension_holder.
using | Gudhi::persistence_matrix::Chain_column_option = Chain_column_extra_properties
| If PersistenceMatrixOptions::is_of_boundary_type is false, and, PersistenceMatrixOptions::has_column_pairings or PersistenceMatrixOptions::has_vine_update or PersistenceMatrixOptions::can_retrieve_representative_cycles is true, then Chain_column_extra_properties. Otherwise Dummy_chain_properties.

## Detailed Description

Contains the concept for the matrix columns.

Author
  Hannah Schreiber